%global pkgvers 0
%global scdate0 20220315
%global schash0 8992d0986b0361d7676cfc3acd62be23b7fac833
%global branch0 main
%global source0 https://github.com/pytorch/data.git

%global sshort0 %{expand:%%{lua:print(('%{schash0}'):sub(1,8))}}

Name:           pytorch-data
Version:        0.3.0
Release:        %{scdate0}.%{pkgvers}.git%{sshort0}%{?dist}
Summary:        TorchData
License:        BSD
BuildArch:      noarch

URL:            https://github.com/pytorch/data

BuildRequires:  git python3-devel python3-setuptools

%description
TorchData is a prototype library of common modular data
loading primitives for easily constructing flexible and
performant data pipelines.

%package        python3
Summary:        TorchData
Provides:       pytorch-data

%description    python3
TorchData is a prototype library of common modular data
loading primitives for easily constructing flexible and
performant data pipelines.


%prep
%setup -T -c -n %{name}
git clone --depth 1 -n -b %{branch0} %{source0} .
git fetch --depth 1 origin %{schash0}
git reset --hard %{schash0}
git log --format=fuller


%build
mkdir -p build
%{py3_build}


%install
%{py3_install}


%files python3
%doc README.md
%license LICENSE
%{python3_sitelib}/*


%changelog
* Thu Mar 24 2016 Balint Cristian <cristian.balint@gmail.com>
- github update releases
